Bug 108029 - XLSX FILESAVE: The columns of the column chart disappear
Summary: XLSX FILESAVE: The columns of the column chart disappear
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
5.0.0.5 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: interoperability target:6.2.0 target:...
Keywords: filter:xlsx
Depends on:
Blocks: OOXML-Chart
  Show dependency treegraph
 
Reported: 2017-05-23 15:37 UTC by Gabor Kelemen
Modified: 2018-09-24 03:21 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
attachment 133480 after save as xlsx in LO 5.3 (18.24 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2017-05-23 15:37 UTC, Gabor Kelemen
Details
The saved document reopened in LO 5.3 and Excel 2013 side by side (102.62 KB, image/png)
2017-05-23 15:39 UTC, Gabor Kelemen
Details
The original and exported file in Word side by side (192.88 KB, image/png)
2018-09-20 09:14 UTC, Gabor Kelemen
Details
Screenshot of the original and exported document side by side in Writer. (221.81 KB, image/png)
2018-09-20 09:16 UTC, Gabor Kelemen
Details
The original file exported from current Calc master (21.44 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2018-09-20 09:42 UTC, Gabor Kelemen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gabor Kelemen 2017-05-23 15:37:22 UTC
Created attachment 133484 [details]
attachment 133480 [details] after save as xlsx in LO 5.3

attachment 133480 [details] was made with Excel 2013.

The column chart columns disappears completely after the file is edited and saved in LibreOffice.

Steps to reproduce:
1. Open the original file in LibreOffice
2. Edit an empty cell
3. Save the file as XLSX
4. Open the saved file in Excel 2013

Actual results:
The columns and the text on the horizontal axis disappear

Expected results:
The chart does not change after being saved in LibreOffice.
Comment 1 Gabor Kelemen 2017-05-23 15:39:08 UTC
Created attachment 133485 [details]
The saved document reopened in LO 5.3 and Excel 2013 side by side
Comment 2 Aron Budea 2017-05-23 18:38:36 UTC
Confirmed with LO 5.0.0.5 & 5.3.3.2 / Windows 7.
Note that I don't see text on horizontal axis even when the file is opened.
Comment 3 QA Administrators 2018-05-26 02:42:02 UTC Comment hidden (obsolete)
Comment 4 Gabor Kelemen 2018-09-20 09:14:42 UTC
Created attachment 145056 [details]
The original and exported file in Word side by side
Comment 5 Gabor Kelemen 2018-09-20 09:16:04 UTC
Created attachment 145057 [details]
Screenshot of the original and exported document side by side in Writer.

The columns are now visible in current master, only the horizontal axis labels are not displayed in Writer.
Comment 6 Gabor Kelemen 2018-09-20 09:19:00 UTC
Adjusting bug title.
Comment 7 Gabor Kelemen 2018-09-20 09:42:03 UTC
Created attachment 145058 [details]
The original file exported from current Calc master
Comment 8 Gabor Kelemen 2018-09-20 09:56:27 UTC
The X axis labels are stored this way in chart1.xml: 

<c:strRef><c:f>'[1]3D'!$C$4:$D$4</c:f><c:strCache><c:ptCount val="2"/><c:pt idx="0"><c:v>2016.márc.15. - 2016.máj.20.</c:v></c:pt><c:pt idx="1"><c:v>2016.máj.20-tól</c:v></c:pt></c:strCache></c:strRef>
Comment 9 Gabor Kelemen 2018-09-20 14:24:15 UTC
Restoring bug title. Forgot that the disappearing axis labels has its own report as bug #108027.
Comment 10 Gabor Kelemen 2018-09-20 14:27:40 UTC
I'm not sure when was this fixed, but now the columns appear correctly in the export.
Comment 11 Aron Budea 2018-09-24 03:21:06 UTC
Fixed by the following commit (found using bibisect-win32-6.2), nice job, Balazs.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=051399740e41c6495ed362e78c63e0868bcd180c
author		Balazs Varga <balazs.varga991@gmail.com>	2018-07-23 21:13:09 +0200
committer	Bartosz Kosiorek <gang65@poczta.onet.pl>	2018-07-30 23:53:35 +0200

tdf#108078 OOXML Export Chart shapes area fill properties